import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

public class GraphicsTest extends Jlet
{
	protected void startApp(String args[]){
		Display dis = Display.getDefaultDisplay();
		dis.pushCard(new SampleCard());
    }

	protected void destroyApp(boolean b){
	}

};

class SampleCard extends Card
{
	public void paint(Graphics g)
	{
		int width = getWidth();
		int height = getHeight();

		g.setColor(0xff0000);
		g.drawRect(1,1,width/2,height/2);

		g.setStrokeStyle(Graphics.DOTTED);

		g.setColor(0x0000ff);
		g.drawRect((width/2)+1,(height/2)+1,(width/2)-3,(height/2)-3);

	}
};